#!/bin/bash

# Check if pdbedit is installed
if ! command -v pdbedit &> /dev/null; then
    echo -e "${YELLOW}Error:${NC} pdbedit is not installed. Install Samba first."
    exit 1
fi

# List users with color
pdbedit -L | cut -d: -f1 | while read -r user; do
    echo -e "${user}"
done